# JsonUtf8Encoder class

Encoder that encodes a single object as a UTF-8 encoded JSON string.

This encoder works equivalently to first converting the object to a JSON string, and then UTF-8 encoding the string, but without creating an intermediate string.

Inheritance
  - Object
  - StreamTransformerBase<Object, List<int>>
  - Converter<Object, List<int>>
  - JsonUtf8Encoder

## Constructors

JsonUtf8Encoder([String indent, dynamic toEncodable(dynamic object), int bufferSize = _defaultBufferSize ])
  Create converter. [...]

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<Object> stream) → Stream<List<int>>
  Transforms the provided `stream`. [...]
  override
convert(Object object) → List<int>
  Convert `object` into UTF-8 encoded JSON.
  override
startChunkedConversion(Sink<List<int>> sink) → ChunkedConversionSink<Object>
  Start a chunked conversion. [...]
  override
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
fuse<TT>(Converter<List<int>, TT> other) → Converter<Object, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

DEFAULT_BUFFER_SIZE → const int
  `_defaultBufferSize`